#pragma once

#include <string>
#include <vector>

#include "vdef.h"

namespace vCommon
{

//-----------------------------------------------------------------------------
//

	class vMisc
	{
	public:

		//	задержка (миллисекунды)
		static void delay ( int mls );

		//	hex => string
		static std::string Hex2Str ( byte* hex, int size );

		//	Инвертировать. 0 -> 1, 1 -> 0.
		static std::string Invert ( const std::string& val );

		//	vector => string
		static std::string Vec2Str ( const std::string& Title, const std::vector <std::string>& vec );

		//	string to hex
		static void Str2Hex ( byte* buf, const std::string& str );

		//	char to hex
		static byte Char2Hex ( const byte ch );

        //  округление
        static float round ( float var, float scale, int dp );
	};

} /* namespace vCommon */
