 	 //
//	mqUtils.h
//	Автор	:	vagner
//	Создан	:	Jun 20, 2017
//

#pragma once

#include <string>

#include <SyncVector.h>

#include "mqClient.h"

namespace vMQ
{
	static const std::string cmdRestartMosquitto ( "/etc/init.d/mosquitto restart" );
	//static const std::string cmdRestartMosquitto ( "service mosquitto restart" );

	class mqUtils
	{
	public:

		//	Перезапустить сервис mosquitto.
		static void mosqRestart ( mqClient* mq, const std::string BridgeFileConfig = "" );

		//	Перезагрузить контроллер.
		static void conReboot ( );

		//  Активизировать MQTT
		static mqClient* mqActivate ( const std::string &Url, int Port, vCommon::SyncVector *sv, std::string ClientId, bool IsCleanSession = true, int KeepAlive = 60 );

		//	cast сообщения
		static mqMsg* mqCast ( vCommon::svMessage *svm, std::string name = "noname" );

#ifdef __KOS__
		static int mqInitKosClient();
#endif
	};

} /* namespace vMQ */
